<?php
include("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session

 
 
    
$bol1=true;
$bol2=true;
$bol3=true;
$bol4=true;
$bol5=true;
$bol6=true;
$bol7=true;
$bol8=true;
$bol9=true;
$bol10=true;
$gt1=.1;
$gt2=.17;
$gt3=.001;


   $fecha1 =$_POST['fecha_i'];

	$fecha2 =$_POST['fecha_f'];

	$rfc =$_POST['therfc'];

  $qcc1 = "SELECT id_inver FROM inversionista WHERE rfc = \"$rfc\" ";
           $ccc1 = mysql_query($qcc1) or die ('No se pudo hacer la consulta cc1' . mysql_error());
           $rrc = mysql_fetch_row($ccc1);
  
           $id_inv=$rrc[0];
     $gtot=0;

	 

	

     function crearTabla($gen,$fecha1,$fecha2,$gt)

      {global $gtot;
	  global $gtot2;
	  global $totales;
       echo"<table border=1>
		    <tr>
			<th>RFC.</th><th>Nombre</th><th>Compras</th>
			</tr>";
       while (list($clave, $valor ) = each($gen))
          {
           $qc1 = "SELECT sum(puntos) FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones WHERE tipostr_idtipostr='10' and inversionista_id_inver = \"$valor[0]\" and fechat between \"$fecha1\" and \"$fecha2\"";
           $cc1 = mysql_query($qc1) or die ('No se pudo hacer la consulta cc1' . mysql_error());
           $rr = mysql_fetch_row($cc1);
  
           $val1=$rr[0];
 
           $toti+=$val1;
  
           echo"<tr><td>$valor[0]</td><td>$valor[2]</td><td>$val1</td><tr>";
          }
	        $gtot+=$toti; 
			$gtot2=$toti*$gt;
			$totales+=$gtot2;
       echo"</table>el total es $toti <br>Regalias generadas: $gtot2<br>";
	  
	  }
	  
	/*  
	  global $gtot;
	  

       echo"<table border=1>

		    <tr>

			<th>RFC.</th><th>Nombre</th><th>Aportacion</th>

			</tr>";

       while (list($clave, $valor ) = each($gen))

          {

      /*     $qc1 = "SELECT sum(total) FROM transacciones, inversionista WHERE inversionista.id_inver=transacciones.inversionista_id_inver and  rfc = \"$valor[0]\" and fechat between \"$fecha1\" and \"$fecha2\"";

           $cc1 = mysql_query($qc1) or die ('No se pudo hacer la consulta cc1' . mysql_error());

           $rr = mysql_fetch_row($cc1);*/

  

         /*  $val1=2800;

 

           $toti+=$val1;

  

           echo"<tr><td>$valor[1]</td><td>$valor[2]</td><td>$val1</td><tr>";

          }

	        $gtot+=$toti; 
$gtot2=($toti*$gt);
	   $totales+=$gtot2;
       echo"</table>el total es $toti <br>Total regalias: $gtot2<br><br>";

       }

	

	/* function crearTabla2($gen,$fecha1,$fecha2)

      {global $gtot;

       echo"<table border=1>

		    <tr>

			<th>RFC.</th><th>Nombre</th><th>Compras</th>

			</tr>";

       while (list($clave, $valor ) = each($gen))

          {

           $qc1 = "SELECT sum(total) FROM transacciones, inversionista WHERE inversionista.id_inver=transacciones.inversionista_id_inver and  rfc = \"$valor[0]\" and fechat between \"$fecha1\" and \"$fecha2\"";

           $cc1 = mysql_query($qc1) or die ('No se pudo hacer la consulta cc1' . mysql_error());

           $rr = mysql_fetch_row($cc1);

  

           $val1=$rr[0];

 			if($val1>0){

           $toti+=$val1;

  

           echo"<tr><td>$valor[0]</td><td>$valor[2]</td><td>$val1</td><tr>";}

          }

	   $gtot+=$toti;

       echo"</table>el total es $toti <br><br>";

       }*/

	   

	$vtas = "SELECT sum(puntos) FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones WHERE tipostr_idtipostr='10' and inversionista_id_inver = \"$id_inv\" and fechat between \"$fecha1\" and \"$fecha2\"";

           $vtas1 = mysql_query($vtas) or die ('No se pudo hacer la consulta cc1' . mysql_error());

           $rr8 = mysql_fetch_row($vtas1);

  

           $valin=$rr8[0];

 			echo"<br><br><center><b> Aportacion Personal del $fecha1 al $fecha2 son $ $valin</b><br><br>";
			

	 $q2 = "SELECT id_inver, rfc, nombre, appat, apmat FROM inversionista WHERE idprom =  \"$id_inv\"";

  $c2 = mysql_query($q2) or die ('No se pudo hacer la consulta' . mysql_error());



  for($i=0;$r1 = mysql_fetch_row($c2);$i++)

   {

	   $a0 = $r1[0];

	   $a1 = $r1[1];

	   $a2 = $r1[2];

	   $a3 = $r1[3];

	   $a4 = $r1[4];

	   $gen1[]= array($a0, $a1, $a2." ".$a3." ".$a4);



	};

	$copy_gen1=$gen1;
if(empty($copy_gen1)){$bol1=false;$bol2=false;$bol3=false;$bol4=false;$bol5=false;$bol6=false;$bol7=false;
$bol8=false;$bol9=false;$bol10=false;}else{
	

	 while (list($clave, $valor ) = each($copy_gen1))



{



 $q1 = "SELECT id_inver, rfc, nombre, appat, apmat FROM inversionista WHERE idprom =  \"$valor[0]\"";

  $c1 = mysql_query($q1) or die ('No se pudo hacer la consulta' . mysql_error());



  while($r2 = mysql_fetch_row($c1))

   {

	   $pat1 = $r2[0];

	   $pat2 = $r2[1];

	   $pat3 = $r2[2];

	   $pat4 = $r2[3];

	   $pat5 = $r2[4];

	   $gen2[]=array ($pat1,$pat2, $pat3." ".$pat4." ".$pat5);

	} 

	



}

$copy_gen2=$gen2;
if(empty($copy_gen2)){$bol2=false;$bol3=false;$bol4=false;$bol5=false;$bol6=false;$bol7=false;
$bol8=false;$bol9=false;$bol10=false;}else{
	 //if($gen2[0][0]!=0)

	  while (list($clave, $valor ) = each($copy_gen2))



{



 $q4 = "SELECT id_inver, rfc, nombre, appat, apmat FROM inversionista WHERE idprom =  \"$valor[0]\"";

  $c4 = mysql_query($q4) or die ('No se pudo hacer la consulta' . mysql_error());



  while($r2 = mysql_fetch_row($c4))

   {

	   $pa1 = $r2[0];

	   $pa2 = $r2[1];

	   $pa3 = $r2[2];

	   $pa4 = $r2[3];

	   $pa5 = $r2[4];

	

	$gen3[]=array ($pa1,$pa2, $pa3." ".$pa4." ".$pa5);

	

	} 

	



}

$copy_gen3=$gen3; 
if(empty($copy_gen3)){$bol3=false;$bol4=false;$bol5=false;$bol6=false;$bol7=false;
$bol8=false;$bol9=false;$bol10=false;}else{
//if($gen3[0][0]!=0)

	 while (list($clave, $valor ) = each($copy_gen3))



{



 $q5 = "SELECT id_inver, rfc, nombre, appat, apmat FROM inversionista WHERE idprom =  \"$valor[0]\"";

  $c5 = mysql_query($q5) or die ('No se pudo hacer la consulta' . mysql_error());



  while($r2 = mysql_fetch_row($c5))

   {

	   $paa1 = $r2[0];

	   $paa2 = $r2[1];

	    $paa3 = $r2[2];

		 $paa4 = $r2[3];

		  $paa5 = $r2[4];

	

	$gen4[]=array ($paa1,$paa2, $paa3." ".$paa4." ".$paa5);

	

	} 

	



}

$copy_gen4=$gen4; 
if(empty($copy_gen4)){$bol4=false;$bol5=false;$bol6=false;$bol7=false;
$bol8=false;$bol9=false;$bol10=false;}else{


	 while (list($clave, $valor ) = each($copy_gen4))



{



 $q7 = "SELECT id_inver, rfc, nombre, appat, apmat FROM inversionista WHERE idprom =  \"$valor[0]\"";

  $c7 = mysql_query($q7) or die ('No se pudo hacer la consulta' . mysql_error());



  while($r2 = mysql_fetch_row($c7))

   {

	   $paq1 = $r2[0];

	   $paq2 = $r2[1];

	   $paq3 = $r2[2];

	   $paq4 = $r2[3];

	   $paq5 = $r2[4];

	

	$gen5[]=array ($paq1,$paq2, $paq3." ".$paq4." ".$paq5);

	

	} 

	



}
$copy_gen5=$gen5; 
if(empty($copy_gen5)){$bol5=false;$bol6=false;$bol7=false;
$bol8=false;$bol9=false;$bol10=false;}else{
	 while (list($clave, $valor ) = each($copy_gen5))
{
 $q8 = "SELECT id_inver, rfc, nombre, appat, apmat FROM inversionista WHERE idprom =  \"$valor[0]\"";

  $c8 = mysql_query($q8) or die ('No se pudo hacer la consulta' . mysql_error());

  while($r2 = mysql_fetch_row($c8))

   {

	   $paw1 = $r2[0];

	   $paw2 = $r2[1];

	   $paw3 = $r2[2];

	   $paw4 = $r2[3];

	   $paw5 = $r2[4];

		$gen6[]=array ($paw1,$paw2, $paw3." ".$paw4." ".$paw5);

	}
}
$copy_gen6=$gen6; 
if(empty($copy_gen6)){$bol6=false;$bol7=false;
$bol8=false;$bol9=false;$bol10=false;}else{
	 while (list($clave, $valor ) = each($copy_gen6))
{
 $q9 = "SELECT id_inver, rfc, nombre, appat, apmat FROM inversionista WHERE idprom =  \"$valor[0]\"";

  $c9 = mysql_query($q9) or die ('No se pudo hacer la consulta' . mysql_error());

  while($r2 = mysql_fetch_row($c9))

   {

	   $paz1 = $r2[0];

	   $paz2 = $r2[1];

	   $paz3 = $r2[2];

	   $paz4 = $r2[3];

	   $paz5 = $r2[4];

		$gen7[]=array ($paz1,$paz2, $paz3." ".$paz4." ".$paz5);

	}
}
$copy_gen7=$gen7; 
if(empty($copy_gen7)){$bol7=false;$bol8=false;$bol9=false;$bol10=false;}else{
	 while (list($clave, $valor ) = each($copy_gen7))
{
 $qq1 = "SELECT id_inver, rfc, nombre, appat, apmat FROM inversionista WHERE idprom =  \"$valor[0]\"";

  $cq1 = mysql_query($qq1) or die ('No se pudo hacer la consulta' . mysql_error());

  while($r2 = mysql_fetch_row($cq1))

   {

	   $pay1 = $r2[0];

	   $pay2 = $r2[1];

	   $pay3 = $r2[2];

	   $pay4 = $r2[3];
	   $pay5 = $r2[4];

		$gen8[]=array ($pay1,$pay2, $pay3." ".$pay4." ".$pay5);

	}
}
$copy_gen8=$gen8; 
if(empty($copy_gen8)){$bol8=false;$bol9=false;$bol10=false;}else{
	 while (list($clave, $valor ) = each($copy_gen8))
{
 $qq2 = "SELECT id_inver, rfc, nombre, appat, apmat FROM inversionista WHERE idprom =  \"$valor[0]\"";

  $cq2 = mysql_query($qq2) or die ('No se pudo hacer la consulta' . mysql_error());

  while($r2 = mysql_fetch_row($cq2))

   {

	   $pap1 = $r2[0];

	   $pap2 = $r2[1];

	   $pap3 = $r2[2];

	   $pap4 = $r2[3];
	   $pap5 = $r2[4];

		$gen9[]=array ($pap1,$pap2, $pap3." ".$pap4." ".$pap5);

	}
}
$copy_gen9=$gen9; 
if(empty($copy_gen9)){$bol9=false; $bol10=false;}else{
	 while (list($clave, $valor ) = each($copy_gen9))
{
 $qq3 = "SELECT id_inver, rfc, nombre, appat, apmat FROM inversionista WHERE idprom =  \"$valor[0]\"";

  $cq3 = mysql_query($qq3) or die ('No se pudo hacer la consulta' . mysql_error());

echo"aqui esta la cosa $cq3";
  
  while($r2 = mysql_fetch_row($cq3))

   {

	   $papi1 = $r2[0];

	   $papi2 = $r2[1];

	   $papi3 = $r2[2];

	   $papi4 = $r2[3];
	   $papi5 = $r2[4];

		$gen10[]=array ($papi1,$papi2, $papi3." ".$papi4." ".$papi5);
$copy_gen10=$gen10; 
if(empty($copy_gen10)){$bol10=false;}
	}
}
}//9
}//8
}//7
}//6
}//5
}//4
}//3
}//2
}//1

if(1==1){




if($bol1==TRUE){echo "<center><br>Generacion 1   --->17%<br>";
 crearTabla($gen1,$fecha1,$fecha2,$gt2);
}else{echo"<cebter><br><br>No hay distribuidores en la red</center>";}

if($bol2==TRUE){echo"<br><br>Generacion 2   --->17%<br>";
 crearTabla($gen2,$fecha1,$fecha2,$gt2);
}
if($bol3==TRUE){echo"<br><br>Generacion 3   --->17%<br>";

 crearTabla($gen3,$fecha1,$fecha2,$gt2);
}

if($bol4==TRUE){echo"<br><br>Generacion 4   --->17%<br>";
 crearTabla($gen4,$fecha1,$fecha2,$gt2);
}

if($bol5==TRUE){echo"<br><br>Generacion 5   --->.01%<br>";
 crearTabla($gen5,$fecha1,$fecha2,$gt3);
 }
 
if($bol6==TRUE){echo"<br><br>Generacion 6   --->.01%<br>";
 crearTabla($gen6,$fecha1,$fecha2,$gt3);
 }
 
if($bol7==TRUE){echo"<br><br>Generacion 7   --->.01%<br>";
 crearTabla($gen7,$fecha1,$fecha2,$gt3);
 }

if($bol8==TRUE){ echo"<br><br>Generacion 8   --->.01%<br>";
 crearTabla($gen8,$fecha1,$fecha2,$gt3);
 }
  
if($bol9==TRUE){echo"<br><br>Generacion 9   --->.01%<br>";
 crearTabla($gen9,$fecha1,$fecha2,$gt3);
 }
  
if($bol10==TRUE){echo"<br><br>Generacion 10   --->.01%<br>";
 crearTabla($gen10,$fecha1,$fecha2,$gt3);
}


  echo"<br><br>

  los puntos generados son $totales</center>"; 

  

  }

  

  

/*if($lista2=='Ver solo compras'){



echo "<br>Generacion 1<br>";



crearTabla2($gen1,$fecha1,$fecha2,$gt);



 echo"<br><br>Generacion 2<br>";

 crearTabla2($gen2,$fecha1,$fecha2,$gt);

echo"<br><br>Generacion 3<br>";

 crearTabla2($gen3,$fecha1,$fecha2,$gt);

echo"<br><br>Generacion 4<br>";

 crearTabla2($gen4,$fecha1,$fecha2,$gt);

echo"<br><br>Generacion 5<br>";

 crearTabla2($gen5,$fecha1,$fecha2,$gt);

$greg=$gtot*0.1;

  echo"<br><br>el total de las regalias pagadas es<br><br><br> el gran total es $gtot <br><br>

  las regalias a pagar son $totales</center>"; 



}  */

  

?>

